/*--------------------------------------------------------------
    Stackable Modals
--------------------------------------------------------------*/

#modal-trigger-list {
    position: fixed;
    width: 600px;
    height: 300px;
    left: 0;
    right: 0;
    margin: 100px auto 0;
}

#modal-list {
    z-index: 999 !important;
    position: fixed;
    right: 0;
    height: 100%;
    top: 0;
    bottom: 0;
}

.trigger-button {
    width: 50px;
    height: 50px;
    background-color: transparent;
    color: #fff;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    font-size: 40px;
    transition: transform 0.2s ease-in-out;
    position: absolute;
    left: 50%;
    top: 50%;
    padding: 0 !important;
}

.trigger-button:focus {
    background-color: transparent !important;
}

.modal-container {
    display: none;
    position: absolute;
    top: 0 !important;
    right: 0;
    width: 400px;
    height: 100%;
    overflow: hidden;
    transition: right 0.3s ease; /* Transition for the 'right' property */
}

#modal-list .modal-overlay{
    display: none !important;
}

.modal-content {
    background: #fff;
    padding: 20px 20px 20px 40px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    height: 100%;
    /* border-left: 1px solid #011523; */
    position: relative;
    overflow-y: auto;
    overflow-x: hidden;
}

.modal-title-box-container {
    position: fixed;
    margin-left: -40px;
    top: 0;
    bottom: 0;
    height: 100%;
    width: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #ffffff;
    cursor: pointer;
    transition: all 0.3s linear;
    -webkit-transition: all 0.3s linear;
    -moz-transition: all 0.3s linear;
}

.modal-title-box-container:hover {
    background-color: #ffffff !important;
    transition: all 0.3s linear;
    -webkit-transition: all 0.3s linear;
    -moz-transition: all 0.3s linear;    
}

.modal-title-box {
    writing-mode: tb;
    text-orientation: mixed;
    font-size: 16px !important;
    margin: 0 !important;
    color: #FFF;
    cursor: pointer;
    display: flex;
    width: 100%;
    height: calc(100% - 40px);
    top: 30px;
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    align-items: center;
    justify-content: center;
    border-top: 1px solid #ffffff;
    z-index: 2;
}

.close-button {
    position: absolute;
    top: 0;
    cursor: pointer;
    width: 100%;
    color: #000000;
    text-align: center;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.model-content-box {
    width: calc(100% - 15px);
    left: 15px;
    position: relative;
}

.right-0px {
    z-index: 1000 !important;
}

.right-30px {
    z-index: 999 !important;
}

.right-60px {
    z-index: 998 !important;
}       

.right-90px {
    z-index: 997 !important;
}       

.right-120px {
    z-index: 996 !important;
}     